• Precios
  • Blog
Iniciar sesiónAgendá una demo
Create credit pack POSTDelete credit pack DELETEList credit packs GETPurchase credits POSTUpdate credit pack PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Create credit pack

Create a new credit pack.

POST
/credit-packs

Create a new credit pack.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/credit-packs" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "credits": 1,    "price": 0  }'
{  "id": "string",  "name": "string",  "description": "string",  "credits": -9007199254740991,  "price": -9007199254740991,  "isActive": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "object": "credit_pack",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

List API keys GET

List API keys with cursor-based pagination. Keys are returned without the full secret.

Delete credit pack DELETE

Soft-delete a credit pack.

name*string
Length1 <= length <= 100
description?string
Lengthlength <= 255
credits*integer
Range1 <= value <= 9007199254740991
price*integer
Range0 <= value <= 9007199254740991
isActive?boolean